<?php
$must_login            = true ;
$require_path          = '../../../' ;
$require_sub           = '../../' ;
require( $require_sub.'header.php' ) ;

if ( $boolean_login ){
    $status            = '201' ;


    $search_query      = '' ;
    if ( $array['search'] != '' ){
        $search_query .= " AND ( a.remark LIKE '%".$array['search']."%' )" ;
    }

    $query             = "SELECT a.movement_id, a.from_table, a.before_amount, a.amount, a.balance, a.remark, a.created_at FROM staff_point_movement a
                          WHERE a.deleted_at IS NULL AND a.staff_id = '".$staff_info['staff_id']."' " . $search_query ;
    $mysqli_query      = $mysqli->query( $query . " ORDER BY a.movement_id DESC LIMIT " . getLimit( $current ) ) ;

    if ( $mysqli_query->num_rows > 0 ){

        $status        = '200' ;

        $list          = [] ;
        while ( $row   = $mysqli_query->fetch_assoc() ){
            $list[]    = $row ;
        }

        $data['list']  = $list ;

    }
}

require( $require_sub.'footer.php' ) ;
?>